openapi: 3.0.1
info:
  title: sustainability rest
  description: QS sustainability rest service
  contact:
    name: 'QS Qualität und Sicherheit GmbH '
    url: http://www.q-s.de/
    email: info@q-s.de
  version: 1.0.0
servers:
- url: https://qs-plattform.de/QSSoftware/rest/sustainability
  description: Production server
- url: https://test.qs-plattform.de/QSSoftware/rest/sustainability
  description: Test server
tags:
- name: sustainability
paths:
  /pig_fattening/{vvvo}:
    get:
      summary: gets the pig_fattening sustainability data
      description: returns the pig_fattening sustainability data
      operationId: pig_fattening
      parameters:
      - name: vvvo
        in: path
        description: the location vvvo
        required: true
        schema:
          type: string
      responses:
        "200":
          description: the pig_fattening sustainability data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PigFattening'
        "403":
          description: invalid bearer token
        "404":
          description: vvvo not found
components:
  schemas:
    PigFattening:
      type: object
      properties:
        vvvo:
          type: string
          description: thoe location vvvo
          example: "276111111111111"
        year:
          type: integer
          description: year of the value
          format: int32
          example: 2024
        haltungsform:
          type: integer
          description: haltungsform (1-5)
          format: int32
          example: 3
        co2emission:
          type: number
          description: co2 emissions (kg/animal)
          example: 227.5
        final:
          type: boolean
          description: is the co2 vale final (true/fale)
          example: true
